class Tilelayer extends BaseEntity
  constructor: (options) ->
    {@type, @depth, @amount} = options

  render: (layer, x, y)->
    # TODO: Draw sprite

    switch @type
      when "grass" then color = "green"
      when "mud" then color = "brown"
      when "gravel" then color = "lightgrey"
      when "stone" then color = "darkgrey"
      when "gold" then color = "yellow"

    layer.fillStyle color
      .fillRect x*8, y*8, 8, 8
    
